curl --request PUT \
--url https://server.twicecommerce.com/v1/admin/articles/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"codes": [
"<string>"
],
"name": "<string>",
"binLocation": "<string>",
"parentId": "<string>",
"path": "<string>",
"taxonomyCategoryId": "<string>",
"taxonomyCategory": {
"id": "<string>",
"name": "<string>",
"fullName": "<string>",
"level": 123,
"parentId": "<string>",
"isLeaf": true
},
"tags": {
"id": "<string>",
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"itemCosts": 123,
"itemIncome": 123,
"purchasePrice": 123,
"condition": "<string>",
"description": null,
"profitability": 123,
"attributes": {},
"skuId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://server.twicecommerce.com/v1/admin/articles/{id}"
payload = {
"codes": ["<string>"],
"name": "<string>",
"binLocation": "<string>",
"parentId": "<string>",
"path": "<string>",
"taxonomyCategoryId": "<string>",
"taxonomyCategory": {
"id": "<string>",
"name": "<string>",
"fullName": "<string>",
"level": 123,
"parentId": "<string>",
"isLeaf": True
},
"tags": {
"id": "<string>",
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"itemCosts": 123,
"itemIncome": 123,
"purchasePrice": 123,
"condition": "<string>",
"description": None,
"profitability": 123,
"attributes": {},
"skuId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
codes: ['<string>'],
name: '<string>',
binLocation: '<string>',
parentId: '<string>',
path: '<string>',
taxonomyCategoryId: '<string>',
taxonomyCategory: {
id: '<string>',
name: '<string>',
fullName: '<string>',
level: 123,
parentId: '<string>',
isLeaf: true
},
tags: {
id: '<string>',
value: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
},
itemCosts: 123,
itemIncome: 123,
purchasePrice: 123,
condition: '<string>',
description: null,
profitability: 123,
attributes: {},
skuId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://server.twicecommerce.com/v1/admin/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"codes": [
"<string>"
],
"name": "<string>",
"binLocation": "<string>",
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"taxonomyCategoryId": "<string>",
"aggregateData": {
"totalCount": 123,
"lastCreated": "2023-11-07T05:31:56Z",
"lastUpdated": "2023-11-07T05:31:56Z"
},
"binLocationOrigin": "article",
"parentId": "<string>",
"path": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"taxonomyCategory": {
"id": "<string>",
"name": "<string>",
"fullName": "<string>",
"level": 123,
"parentId": "<string>",
"isLeaf": true
},
"media": {
"fileId": "<string>",
"articleId": "<string>",
"orderIndex": 123,
"media": {
"id": "<string>",
"tenantId": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"originalName": "<string>",
"folderPath": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"updatedById": "<string>",
"createdById": "<string>"
}
},
"documents": {
"fileId": "<string>",
"articleId": "<string>",
"orderIndex": 123,
"comment": "<string>",
"document": {
"id": "<string>",
"tenantId": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"originalName": "<string>",
"folderPath": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"updatedById": "<string>",
"createdById": "<string>"
}
},
"attributes": {
"id": "<string>",
"name": "<string>",
"key": "<string>",
"value": "<string>",
"format": "text",
"groupId": "<string>",
"groupName": "<string>",
"systemGroup": "sustainability",
"origin": "article"
},
"tags": {
"id": "<string>",
"value": "<string>",
"scope": "inventory",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"sku": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>",
"tags": {
"id": "<string>",
"value": "<string>",
"scope": "inventory",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"bufferTimeAmountBefore": 4503599627370495,
"bufferTimeUnitBefore": "seconds",
"bufferTimeAmountAfter": 4503599627370495,
"bufferTimeUnitAfter": "seconds"
},
"itemCosts": 123,
"itemIncome": 123,
"purchasePrice": 123,
"purchasePriceOrigin": "article",
"condition": "<string>",
"description": null,
"descriptionOrigin": "article",
"bufferTimeAmountBefore": 4503599627370495,
"bufferTimeUnitBefore": "seconds",
"bufferTimeOriginBefore": "article",
"bufferTimeAmountAfter": 4503599627370495,
"bufferTimeUnitAfter": "seconds",
"bufferTimeOrigin": "article",
"profitability": 123,
"conflicts": {
"byLocation": {}
}
}Updates a stock item’s details. Buffer times and quantity are not changed here — buffers have the dedicated buffer-change endpoints and quantity the increase/decrease-quantity endpoints. Fields left out are unchanged.
Authorizations
API key for the Twice API
Path Parameters
Query Parameters
Body
Body
1active, inactive, draft Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
inventory, catalog, customers, orders ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200
active, inactive, draft ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$article, sku ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
text, number, boolean, date, datetime, formula, select, multiselect sustainability, system article, sku, customer, catalog Hide child attributes
Hide child attributes
inventory, catalog, customers, orders ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Hide child attributes
Hide child attributes
inventory, catalog, customers, orders ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$0 <= x <= 9007199254740991seconds, minutes, hours, days, weeks, months, years 0 <= x <= 9007199254740991seconds, minutes, hours, days, weeks, months, years article, sku article, sku 0 <= x <= 9007199254740991seconds, minutes, hours, days, weeks, months, years article, sku 0 <= x <= 9007199254740991seconds, minutes, hours, days, weeks, months, years article, sku Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?